Top traders with PnL
curl --request GET \
--url 'https://api.raze.bot/api/sol/tokens/toptraders/{tokenMint}?apiKey='import requests
url = "https://api.raze.bot/api/sol/tokens/toptraders/{tokenMint}?apiKey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.raze.bot/api/sol/tokens/toptraders/{tokenMint}?apiKey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"tokenMint": "<string>",
"traders": [
{
"trader": "<string>",
"totalPnL": 123,
"totalTrades": 123,
"totalBuys": 123,
"totalSells": 123,
"totalVolume": 123,
"avgTradeSize": 123,
"firstTrade": "2023-11-07T05:31:56Z",
"lastTrade": "2023-11-07T05:31:56Z",
"largestTrade": 123,
"winRate": 123,
"avgBuyPrice": 123,
"avgSellPrice": 123,
"buySol": 123,
"sellSol": 123,
"boughtTokens": 123,
"soldTokens": 123,
"pnlSol": 123,
"isHolding": true,
"bundleTrades": 123,
"sniperTrades": 123,
"proTrades": 123,
"entryDelaySeconds": 123
}
]
},
"count": 123,
"limit": 123,
"solPriceUSD": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"message": "Invalid API key",
"code": "INVALID_KEY",
"success": false
}{
"error": "Unauthorized",
"message": "Invalid API key",
"code": "INVALID_KEY",
"success": false
}{
"error": "Unauthorized",
"message": "Invalid API key",
"code": "INVALID_KEY",
"success": false
}Tokens
Top traders with PnL
GET
/
api
/
sol
/
tokens
/
toptraders
/
{tokenMint}
Top traders with PnL
Authorizations
Path Parameters
Query Parameters
Maximum number of traders to return
Required range:
1 <= x <= 100⌘I
